This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 903762 - Review Request: nodejs-tobi-cookie - A cookie handling and cookie jar library for Node.js
Review Request: nodejs-tobi-cookie - A cookie handling and cookie jar library...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 891229
  Show dependency treegraph
 
Reported: 2013-01-24 14:34 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 19:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-24 14:34:05 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-tobi-cookie.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-tobi-cookie-0.3.2-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4900128
Fedora Account System Username: patches

Description:
A cookie handling and cookie jar library for Node.js
Comment 1 Miro Hrončok 2013-01-25 11:44:53 EST
Description and Summary OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/nodejs-tobi-cookie-0.3.2-1.fc18.src.rpm ../RPMS/noarch/nodejs-tobi-cookie-0.3.2-1.fc18.noarch.rpm
nodejs-tobi-cookie.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tobi-cookie.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tobi-cookie.src: W: no-%build-section
nodejs-tobi-cookie.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tobi-cookie.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tobi-cookie.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

FIX: Add %build section.
All others false positives.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

In Readme.md: MIT, OK.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/tobi-0.3.2.tgz 
31d725e601d9f0877550c1f05736c7415da7960f09f57a0ec66c0b66cbee2c67  ../SOURCES/tobi-0.3.2.tgz
$ spectool -g nodejs-tobi-cookie.spec 
Getting http://registry.npmjs.org/tobi/-/tobi-0.3.2.tgz to ./tobi-0.3.2.tgz
$ sha256sum tobi-0.3.2.tgz 
31d725e601d9f0877550c1f05736c7415da7960f09f57a0ec66c0b66cbee2c67  tobi-0.3.2.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-tobi-cookie-0.3.2-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 25 17:39 /usr/lib/node_modules/tobi-cookie
-rw-r--r--    1 root    root                     1041 lis 15  2011 /usr/lib/node_modules/tobi-cookie/index.js
-rw-r--r--    1 root    root                     1475 lis 15  2011 /usr/lib/node_modules/tobi-cookie/jar.js
-rw-r--r--    1 root    root                      431 led 25 17:39 /usr/lib/node_modules/tobi-cookie/package.json
drwxr-xr-x    2 root    root                        0 led 25 17:39 /usr/share/doc/nodejs-tobi-cookie-0.3.2
-rw-r--r--    1 root    root                     2805 lis 15  2011 /usr/share/doc/nodejs-tobi-cookie-0.3.2/History.md
-rw-r--r--    1 root    root                    10951 lis 15  2011 /usr/share/doc/nodejs-tobi-cookie-0.3.2/Readme.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package NEEDSWORK: Add build section.
Comment 2 T.C. Hollingsworth 2013-01-26 15:04:12 EST
Thanks for yet another review!

This adds the missing %build section:
Spec: http://patches.fedorapeople.org/npm/nodejs-tobi-cookie.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-tobi-cookie-0.3.2-2.fc17.src.rpm
Comment 3 Miro Hrončok 2013-01-27 07:39:30 EST
$ rpmlint ../SRPMS/nodejs-tobi-cookie-0.3.2-2.fc18.src.rpm ../RPMS/noarch/nodejs-tobi-cookie-0.3.2-2.fc18.noarch.rpm
nodejs-tobi-cookie.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tobi-cookie.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tobi-cookie.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-tobi-cookie.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tobi-cookie.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


APPROVEDD
Comment 4 T.C. Hollingsworth 2013-01-27 21:43:27 EST
New Package SCM Request
=======================
Package Name: nodejs-tobi-cookie
Short Description: A cookie handling and cookie jar library for Node.js
Owners: patches
Branches: f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-01-28 08:33:46 EST
Git done (by process-git-requests).
Comment 6 T.C. Hollingsworth 2013-01-28 19:46:21 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=4909961
Comment 7 Fedora Update System 2013-01-28 20:26:49 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18, node-gyp-0.8.2-3.fc18, nodejs-tar-0.1.14-3.fc18, npm-1.2.1-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-semver-1.1.2-1.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-fstream-ignore-0.0.5-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/npm-1.2.1-2.fc18,nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18,node-gyp-0.8.2-3.fc18,nodejs-tar-0.1.14-3.fc18,nodejs-opener-1.3.0-4.fc18,nodejs-semver-1.1.2-1.fc18,nodejs-tobi-cookie-0.3.2-2.fc18,nodejs-fstream-ignore-0.0.5-4.fc18
Comment 8 Fedora Update System 2013-04-05 19:17:49 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.